SDK (@phosra/sdk)
import { PhosraClient } from "@phosra/sdk";
const phosra = new PhosraClient({
baseUrl: "https://phosra-api-sandbox-production.up.railway.app/api/v1",
accessToken: process.env.PHOSRA_API_KEY,
});
const result = await phosra.members.invite("f0000000-0000-4000-8000-0000000000f1", {
user_id: "3fa85f64-5717-4562-b3fc-2c963f66afa6",
role: "guardian"
});
console.log(result);curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/families/f0000000-0000-4000-8000-0000000000f1/members" \
-H "Authorization: Bearer $PHOSRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"role": "guardian"
}'
import os, requests
BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1"
res = requests.post(
f"{BASE}/families/f0000000-0000-4000-8000-0000000000f1/members",
headers={"Authorization": f"Bearer {os.environ['PHOSRA_API_KEY']}"},
json={
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"role": "guardian"
},
)
print(res.status_code, res.json())
package main
import (
"bytes"
"fmt"
"io"
"net/http"
"os"
)
func main() {
base := "https://phosra-api-sandbox-production.up.railway.app/api/v1"
body := bytes.NewBufferString(`{
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"role": "guardian"
}`)
req, _ := http.NewRequest("POST", base+"/families/f0000000-0000-4000-8000-0000000000f1/members", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("PHOSRA_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}

{
"status": "active"
}{
"error": "Unauthorized",
"message": "missing or invalid Authorization header",
"code": 401
}{
"error": "Conflict",
"message": "resource already exists",
"code": 409
}{
"error": "Too Many Requests",
"message": "rate limit exceeded",
"code": 429
}{
"error": "Internal Server Error",
"message": "internal error",
"code": 500
}Families
Add a family member
Add a user to a family with a specific role.
POST
/
families
/
{familyID}
/
members
SDK (@phosra/sdk)
import { PhosraClient } from "@phosra/sdk";
const phosra = new PhosraClient({
baseUrl: "https://phosra-api-sandbox-production.up.railway.app/api/v1",
accessToken: process.env.PHOSRA_API_KEY,
});
const result = await phosra.members.invite("f0000000-0000-4000-8000-0000000000f1", {
user_id: "3fa85f64-5717-4562-b3fc-2c963f66afa6",
role: "guardian"
});
console.log(result);curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/families/f0000000-0000-4000-8000-0000000000f1/members" \
-H "Authorization: Bearer $PHOSRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"role": "guardian"
}'
import os, requests
BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1"
res = requests.post(
f"{BASE}/families/f0000000-0000-4000-8000-0000000000f1/members",
headers={"Authorization": f"Bearer {os.environ['PHOSRA_API_KEY']}"},
json={
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"role": "guardian"
},
)
print(res.status_code, res.json())
package main
import (
"bytes"
"fmt"
"io"
"net/http"
"os"
)
func main() {
base := "https://phosra-api-sandbox-production.up.railway.app/api/v1"
body := bytes.NewBufferString(`{
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"role": "guardian"
}`)
req, _ := http.NewRequest("POST", base+"/families/f0000000-0000-4000-8000-0000000000f1/members", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("PHOSRA_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}

{
"status": "active"
}{
"error": "Unauthorized",
"message": "missing or invalid Authorization header",
"code": 401
}{
"error": "Conflict",
"message": "resource already exists",
"code": 409
}{
"error": "Too Many Requests",
"message": "rate limit exceeded",
"code": 429
}{
"error": "Internal Server Error",
"message": "internal error",
"code": 500
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Member added
⌘I